Skip to main content
POST
Create Deployment Revision

Path Parameters

deployment_id
string<uuid>
required

Body

application/json

Request body for creating a new revision of an existing deployment.

The revision-relevant subset of DeploymentPatchRequest — deployment metadata (display name, tier, managed-deep-agent marker) is not accepted here; use PATCH /deployments/{id} for those.

revision_source
enum<string> | null

Override the source for this revision. If omitted, falls back to the deployment's default source.

Available options:
github,
internal_docker,
internal_source
source_config
SourceConfigRequest · object | null

Fields for a deployment that are specific to the source, but do not require a new revision when modified or cannot be modified.

All fields are nullable, but are validated based on the source.

source_revision_config
SourceRevisionConfigRequest · object | null

Fields for a deployment that are specific to the source and require a new revision when modified.

All fields are nullable, but are validated based on the source.

secrets
Secret · object[] | null
secret_references
SecretReference · object[] | null

Response

Successful Response

Revision resource.

id
string<uuid>
required

The ID of the revision.

This is a read-only field.

created_at
string<date-time>
required

The creation time of the revision.

This is a read-only field.

updated_at
string<date-time>
required

The last update time of the revision.

This is a read-only field.

status
enum<string>
required

The status of the revision.

This is a read-only field.

Available options:
CREATING,
QUEUED,
AWAITING_BUILD,
BUILDING,
AWAITING_DEPLOY,
DEPLOYING,
CREATE_FAILED,
BUILD_FAILED,
DEPLOY_FAILED,
DEPLOYED,
SKIPPED,
INTERRUPTED,
UNKNOWN
source
enum<string>
required

Deploy from a GitHub repository (github), an external Docker image (external_docker), a CLI-pushed image (internal_docker), uploaded source (internal_source), or a prebuilt LangChain template (internal_template).

Deploying from GitHub, internal Docker, internal source, or a template is only available for Cloud SaaS deployments. Deploying from an external Docker image is only available for self-hosted deployments. This cannot be changed once the deployment is created.

Available options:
github,
external_docker,
internal_docker,
internal_source,
internal_template
source_revision_config
SourceRevisionConfig · object
required

Source revision configuration.

For a Deployment resource, the field values refer to the latest revision of the Deployment. For a Revision resource, the field values refer to the Revision itself.